#!python

import base64
import cStringIO
import os
import zipfile

from pytx import init
from pytx import Malware
from pytx.vocabulary import Malware as m

input_md5s_filename = 'md5s.txt'
output_dir = 'out'

app_id = '<your-app-id>'
app_secret = '<your-app-secret>'

init(app_id, app_secret)

md5s = []
with open(input_md5s_filename) as f:
    for l in f:
        md5s.append(l.strip())

print('Fetching %d MD5s' % len(md5s))

for md5 in md5s:
    results = Malware.objects(text=md5, strict_text=True)
    for result in results:
        result.details()
        try:
            zipfilehandle = cStringIO.StringIO()
            zipfilehandle.write(base64.b64decode(result.get(m.SAMPLE)))
            with zipfile.ZipFile(zipfilehandle, 'r') as zf:
                for entry in zf.infolist():
                    with open(os.path.join(output_dir,
                                           entry.filename), 'w') as f:
                        print('Writing to %s' % entry.filename)
                        f.write(zf.read(entry.filename,
                                        result.get(m.PASSWORD)))
        except Exception, e:
            print str(e)
